BUS_CHILD_DELETED(9)

NAME
BUS_CHILD_DELETED - notify a bus device that a child is being deleted

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
BUS_CHILD_DELETED(device_t dev, device_t child);

DESCRIPTION
The BUS_CHILD_DELETED() method is invoked by the new-bus framework when a device is deleted. A bus driver can provide an implementation of this method to release bus-specific resources associated with a device such as instance variables.

SEE ALSO
BUS_ADD_CHILD(9), device(9)

HISTORY
The BUS_CHILD_DELETED() method first appeared in FreeBSD 10.0.